#include "mbed.h" // import of mbed library (required)

/*******************************************************************************

  EXAMPLE DESCRIPTION

  Sets PWM out on pin PA_8 with f=2 Hz and duty cycle = 0.5. The best use is to 
  connect LED to pin PA_8 (using wiring with transitor) to see effect of PWM.
  
*******************************************************************************/

PwmOut PWM(PA_8); // definition of PWM pin

int main()
{

    PWM.period_ms(500); // period of PWM - f=1/T -> f=1/0.5=2 Hz
    PWM.pulsewidth_ms(250); // duration of active pulse
                            //sets duty cycle - duty cycle = pulsewidth/period

    while(1) {
        wait_ms(1000);
    }
}
